.homepage-scroll-section {
  background-color: black;
  display: flex;
  flex-direction: column;
  position: relative;
  width: 100%;
  overflow: clip;
  min-height: 100vh;
}

.homepage-scroll-section--information-container {
  position: sticky;
  display: flex;
  height: 1px;
  top: 50vh;
  align-items: center;
  justify-content: center;
  width: 100%;
  z-index: 1;

  margin-bottom: 50vh;
  margin-top: calc(-50vh - 1px);
}

.homepage-scroll-section--information-container .grid-container {
  align-content: center;
  height: 100vh;
  justify-items: center;
  position: relative;
}

.homepage-scroll-section--information--logo {
  display: none;
  position: absolute;
  top: 12px;
  left: 12px;
}

.homepage-scroll-section--information--title {
  color: var(--White, #FFF);  
  grid-column: span 12;
}

.homepage-scroll-section--information--description {
  color: var(--White, #FFF);
  grid-column: span 12;
  text-align: center;
  
  /* This is here so that the height doesn't jump around when the description is over 2 or more lines */
  min-height: initial;
  max-width: 450px;
}

.homepage-scroll-section--information--description p {
  padding: 0;
  margin: 0;
}

.homepage-scroll-section--information--description .cta-01--regular {
  display: none;
}

.homepage-scroll-section--information--cta {
  color: var(--White, #FFF);
  grid-column: span 12;
  margin-top: 24px;
}

.homepage-scroll-section--information--cta:hover {
  color: var(--White, #FFF);
}

.homepage-scroll-section--information--cta-cover {
  display: none;
}

.homepage-scroll-section--panel {
  background-color: #000000;
  position: relative;
  width: 100%;
  height: 100vh;
  margin-bottom: 50vh;

  transform: translateZ(0);
  backface-visibility: hidden;
  will-change: transform;
}

.homepage-scroll-section--panel.first-panel {
  margin-bottom: initial;
  margin-top: 1px;
}

.homepage-scroll--image {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0.8;

  /* GPU rendering hints */
  transform: translateZ(0);
  backface-visibility: hidden;
  will-change: transform;
}

.homepage-scroll-section--scroll-icon {
  position: absolute;
  bottom: 104px;
  left: 50%;
  transform: translateX(-50%);
}

.homepage-scroll-section--information-container .homepage-scroll-section--information--title {
  margin-bottom: 24px;
}

.homepage-scroll-section--information-container .homepage-scroll-section--information--description {
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
  transition: opacity 0.3s ease;
}

.homepage-scroll-section--information-container .homepage-scroll-section--information--cta {
  display: initial;
}


.slide-index-0 .homepage-scroll-section--information--title {
  display: none;
  opacity: 0;
}

.slide-index-0 .homepage-scroll-section--information--description {
  align-content: center;
}

.homepage-scroll-section--information--title,
.homepage-scroll-section--information--description,
.homepage-scroll-section--information--cta {
    opacity: 0;
}

/* Tablet breakpoint */
/* ---------------------------------------------------------------------- */
@media (min-width: 768px) {
  .homepage-scroll-section--information--title {
    display: block;
    grid-column: span 12;
    justify-self: center;
    position: initial;
  }
  
  .homepage-scroll-section--information-container .homepage-scroll-section--information--description {
    display: initial;
  }

  .homepage-scroll-section--information--description {
    grid-column: span 12;
    position: initial;
    left: initial;
    bottom: initial;
    text-align: left;
    min-height: 200px;

    justify-self: center;
    text-align: center;

    z-index: 1;
  }

  .homepage-scroll-section--information--description .cta-01--regular {
    color: var(--grey-200);
    display: block;
    margin-top: 12px;
  }

  .homepage-scroll-section--information--description .cta-01--regular:hover {
    color: var(--white);
  }

  .homepage-scroll-section--information-container .homepage-scroll-section--information--cta {
    display: none !important;
  }

  .homepage-scroll-section--information--cta-cover {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
}

/* Desktop breakpoint */
@media (min-width: 1440px) {
  .homepage-scroll-section--information--logo {
    display: grid;
    position: relative;
    height: 100%;
    grid-column: span 2;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    aspect-ratio: 2 / 2;
    justify-self: start;
    left: 0px;
  }

  .homepage-scroll-section--information--logo img {
    position: relative;
    align-self: center;
  }

  .homepage-animation--logo-l {
    grid-column: span 2;
  }

  .homepage-scroll-section--information--title {
    grid-column: span 3;
    padding-top: 60px;
  }

  .homepage-scroll-section--information--description {
    grid-column: span 6 / -1;
    padding-top: 60px;
    justify-self: start;
    text-align: left;
  }

  .slide-index-0 .homepage-scroll-section--information--description {
    align-content: initial;
  }

  .homepage-scroll-section--information--cta-cover {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 20%;
    transform: translateY(-50%);
  }
}